module.exports = {
  meta: {
    type: "problem",
    docs: {
      description: "disallow underscores in URLs",
      category: "Possible Errors",
      recommended: false
    },
    schema: [] // no options
  },
  create: function(context) {
    return {
      Literal(node) {
        if (typeof node.value === 'string' && node.value.includes('http') && node.value.includes('_')) {
          context.report({
            node,
            message: "URLs should not contain underscores."
          });
        }
      }
    };
  }
};

